import type { Theme } from '../../lib/theming/Theme';
export declare const styles: {
    wrapper(): string;
    root(t: Theme): string;
    hovering(t: Theme): string;
    borderless(): string;
    focus(t: Theme): string;
    focusFallback(t: Theme): string;
    placeholder(t: Theme): string;
    placeholderFocus(t: Theme): string;
    placeholderDisabled(t: Theme): string;
    input(t: Theme): string;
    inputFocus(t: Theme): string;
    inputDisabled(t: Theme): string;
    warning(t: Theme): string;
    warningFallback(t: Theme): string;
    error(t: Theme): string;
    errorFallback(t: Theme): string;
    disabled(t: Theme): string;
    sizeSmall(t: Theme): string;
    sizeSmallFallback(t: Theme): string;
    sizeMedium(t: Theme): string;
    sizeMediumFallback(t: Theme): string;
    sizeLarge(t: Theme): string;
    sizeLargeFallback(t: Theme): string;
    hideBlinkingCursor(): string;
};
